﻿using UnityEngine;
using System.Collections.Generic;
using System.Collections;

public class EditorPath : MonoBehaviour {

	public Color rayColor = Color.white;
	public List<Transform> path_objs = new List<Transform>();
	Transform[] posArray;

	void OnDrawGizmos()
	{
		Gizmos.color = rayColor;
		posArray = GetComponentsInChildren<Transform> ();
		path_objs.Clear ();

		foreach(Transform path_obj in posArray)
		{
			if (path_obj != this.transform) 
			{
				path_objs.Add (path_obj);
			}

			for (int i = 0; i < path_objs.Count; i++) 
			{
				Vector3 position = path_objs [i].position;
				if (i > 0) 
				{
					Vector3 previous = path_objs [i - 1].position;
					Gizmos.DrawLine (previous, position);
					Gizmos.DrawWireSphere (position, 0.03f);
				}
			}
		}
	}
}
