﻿using UnityEngine;
using UnityEngine.SceneManagement;
using System.Collections;

public class LaserThing : MonoBehaviour {

	public float startWait;
	public float waitForever;
	SpriteRenderer sprite;
	private bool canHurt = true;



	void Start () {
		sprite = GetComponentInChildren<SpriteRenderer> ();
		StartCoroutine (SpawnLasers());
	}

	void OnTriggerEnter2D(Collider2D col){
		if (col.gameObject.name == "CharacterRobotBoy") {
			if (canHurt) {
				SceneManager.LoadScene(SceneManager.GetActiveScene().buildIndex);
			}
		}
	}

	IEnumerator SpawnLasers(){
		Color tmp = sprite.color;
		sprite.color = tmp;

		while (true) {
			yield return new WaitForSeconds (startWait);
			tmp.a = 0f;
			sprite.color = tmp;
			canHurt = false;
			yield return new WaitForSeconds (waitForever);
			tmp.a = 255f;
			sprite.color = tmp;
			canHurt = true;
		}
	}

}

